<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
    th:replace="~{main-layout.html::main-fragment(~{::title},~{::#ajoutauteur-main-content})}">

<head>
    <meta charset="UTF-8">
    <title>Ajout d'un Auteur</title>
</head>

<body>
    <div class="container-fluid" id="ajoutauteur-main-content">
        <h1 class="text-center"> Ajouter un Auteur</h1>
        <form method="post" th:action="@{/admin/auteurs/add}" th:object="${formauteur}">
            <div class="mb-2">
                <label for="prenom" class="form-label">Prénom</label>
                <input type="text" class="form-control" id="prenom" th:field="*{prenom}" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('prenom')}" th:errors="*{prenom}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="nom" class="form-label">Nom</label>
                <input type="text" class="form-control" id="nom" th:field="*{nom}" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('nom')}" th:errors="*{nom}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="naissance" class="form-label">Date de naissance</label>
                <input type="date" class="form-control" id="prix" th:field="*{naissance}"  th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('naissance')}" th:errors="*{naissance}" class="invalid-feedback"/>
            </div>
            <div class="mb-2">
                <label for="deces" class="form-label">Date de décès</label>
                <input type="date" class="form-control" id="deces" th:field="*{deces}"  th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('deces')}" th:errors="*{deces}" class="invalid-feedback"/>
            </div>
            <input class="btn btn-primary" type="submit" value="Ajouter L'auteur"/>
        </form>

    </div>
</body>

</html>